Bug 441587 - Allow modular gnome-default-applications.xml files for package drop-ins
Allow modular gnome-default-applications.xml files for package drop-ins
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 16:30 EDT by Axel Thimm
Modified: 2009-06-08 06:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 17:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2008-04-08 16:30:48 EDT
Description of problem:
Currently the information about the alternative applications for various
services is in one monolithic file.

If a package wants to add itself to the list of alternatives it currently needs
to edit this file. Ideally gnome-default-applications-properties would scan a
folder with snippets that packages would drop of.

Version-Release number of selected component (if applicable):
control-center-2.22.0-4.fc9.x86_64
Comment 1 Bastien Nocera 2008-04-08 17:30:08 EDT
It's a good idea, but it's a better idea to have upstream.

Also mention which package would use that.
Comment 2 Axel Thimm 2008-04-09 23:11:45 EDT
Could you post the upstream URL for the bug/post? Thanks!

One package that would use that would be mplayer. Would you want to add it to
gnome-default-applications.xml until upstream decides on a whether to use a
modular setup or not?
Comment 3 Bastien Nocera 2008-04-10 04:54:50 EDT
I would have hoped you'd create the bugzilla, but whatever:
http://bugzilla.gnome.org/show_bug.cgi?id=527304
Comment 4 Bastien Nocera 2009-06-08 06:03:58 EDT
Details on how to add your application to the default apps available at:
http://live.gnome.org/ControlCenter/AddingDefaultApplications

Note You need to log in before you can comment on or make changes to this bug.